clang 8.0.0

Classes | Namespaces | Functions
ModuleBuilder.h File Reference
`#include "clang/AST/ASTConsumer.h"`
Include dependency graph for ModuleBuilder.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | clang::CodeGenerator
| The primary public interface to the Clang code generator. More...

## Namespaces
| llvm
| DominatorTree GraphTraits specialization so the DominatorTree can be iterable by generic graph iterators.
| clang
| Dataflow Directional Tag Classes.
| clang::CodeGen

## Functions
CodeGenerator * | clang::CreateLLVMCodeGen (DiagnosticsEngine &Diags, llvm::StringRef ModuleName, const HeaderSearchOptions &HeaderSearchOpts, const PreprocessorOptions &PreprocessorOpts, const CodeGenOptions &CGO, llvm::LLVMContext &C, CoverageSourceInfo *CoverageInfo=nullptr)
| CreateLLVMCodeGen - Create a CodeGenerator instance. More...